using System;
using System.Collections.Generic;
using Top.Api.Util;

namespace Top.Api.Request
{
    /// <summary>
    /// TOP API: taobao.top.secret.register
    /// </summary>
    public class TopSecretRegisterRequest : BaseTopRequest<Top.Api.Response.TopSecretRegisterResponse>
    {
        #region ITopRequest Members

        public override string GetApiName()
        {
            return "taobao.top.secret.register";
        }

        public override IDictionary<string, string> GetParameters()
        {
            TopDictionary parameters = new TopDictionary();
            if (this.otherParams != null)
            {
                parameters.AddAll(this.otherParams);
            }
            return parameters;
        }

        public override void Validate()
        {
        }

        #endregion
    }
}
